## ros-indigo-mm-radio 0.2.4

=== src/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(lib)
add_subdirectory(demos)
add_subdirectory(tests)

=== src/demos/CMakeLists.txt ===
##############################################################################
# Macro
##############################################################################

macro(${PROJECT_NAME}_add_demo name)
  set(target_name ${PROJECT_NAME}_${name})  # unique target names
  add_executable(${target_name} ${name}.cpp)
  set_target_properties(${target_name} PROPERTIES OUTPUT_NAME ${name})
  target_link_libraries(${target_name} ${PROJECT_NAME} ${catkin_LIBRARIES})
  install(TARGETS ${target_name} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

##############################################################################
# Executables
##############################################################################

mm_radio_add_demo(mm_radio)
mm_radio_add_demo(nanomsg_radio)

=== debian/changelog ===
ros-indigo-mm-radio (0.2.4-0trusty) trusty; urgency=high

  * bugfix for socket closing - was leaving sockets with id=0 hanging.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 15 Jun 2016 15:00:00 -0000

ros-indigo-mm-radio (0.2.2-0trusty) trusty; urgency=high

  * remove some debug printing

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-indigo-mm-radio (0.2.0-0trusty) trusty; urgency=high

  * gtest added
  * first prototype of a 2-way pub-sub radio.
  * nanomsg demo radio program

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-mm-radio
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-exceptions, ros-indigo-ecl-threads, ros-indigo-ecl-time, ros-indigo-ecl-utilities, ros-indigo-mm-core-msgs, ros-indigo-mm-messages, ros-indigo-nanomsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-mm-radio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-exceptions, ros-indigo-ecl-threads, ros-indigo-ecl-time, ros-indigo-ecl-utilities, ros-indigo-mm-core-msgs, ros-indigo-mm-messages, ros-indigo-nanomsg
Description: Multiplexing many packet types across a two-way radio connection with publishers and subscribers.
 Great for embedded connections by two-way serial or ethernet types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mm-radio//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
